# msticker.h File Reference

mediastreamer2 msticker.h include file More...

`#include "msfilter.h"`
`#include "mscommon.h"`

## Typedefs
typedef uint64_t(* | MSTickerTimeFunc )(void *)
typedef struct _MSTicker | MSTicker
## Functions
MS2_PUBLIC MSTicker * | ms_ticker_new (void)
MS2_PUBLIC void | ms_ticker_set_name (MSTicker *ticker, const char *name)
MS2_PUBLIC int | ms_ticker_attach (MSTicker *ticker, MSFilter *f)
MS2_PUBLIC int | ms_ticker_detach (MSTicker *ticker, MSFilter *f)
MS2_PUBLIC void | ms_ticker_destroy (MSTicker *ticker)
MS2_PUBLIC void | ms_ticker_set_time_func (MSTicker *ticker, MSTickerTimeFunc func, void *user_data)
MS2_PUBLIC void | ms_ticker_print_graphs (MSTicker *ticker)

## Detailed Description

mediastreamer2 msticker.h include file

This file provide the API needed to create, start and stop a graph.